Skip to content

Trigger Bot Application

Trigger a conversational AI bot application.

Trigger a conversational AI bot application

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
applicationIdstring
conversationIdstring

Conversation id

languagestring

Language code

textstring

User message text to send to the bot application

snIdstring

Social network id

snTypestring

Social network type; defaults to DEFAULT when blank

contextVariablesobject

Additional context variables passed to the bot application

curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/bot/trigger \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "applicationId": "string",
    "conversationId": "string",
    "language": "string",
    "text": "string",
    "snId": "string",
    "snType": "string",
    "contextVariables": {
      "property1": {},
      "property2": {}
    }
  }'

Responses

Success

Bodyapplication/json
dataobject
errorsArray of objects(Error)
metadataobject(ResponseMetadata)
Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }